package edu.travel.dto;

import lombok.Data;
import org.hibernate.validator.constraints.Range;


import javax.validation.constraints.FutureOrPresent;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

@Data
//@ApiModel("新增喂养记录DTO")
public class FeedRecordCreateDTO {
//    @ApiModelProperty(value = "行为类型", required = true)
    @NotNull(message = "类型不能为空")
    @Range(min = 1, max = 7, message = "无效的类型值")
    private Integer type;

//    @ApiModelProperty("喂奶方式（类型为1时必填）")
    @Range(min = 1, max = 3, message = "无效的喂奶方式")
    private Integer nurseMethod;

//    @ApiModelProperty("喂奶量（母乳瓶喂/配方奶时必填）")
    @Min(value = 0, message = "喂奶量不能为负数")
    private Integer nurseAmount;

//    @ApiModelProperty("辅食名称（类型为2时必填）")
    @Size(max = 50, message = "辅食名称最长50字符")
    private String complementaryName;

//    @ApiModelProperty("是否有粪便（类型为3时必填）")
    private Integer hasStool;

//    @ApiModelProperty("吸奶量（类型为5时必填）")
    @Min(value = 0, message = "吸奶量不能为负数")
    private Integer milkOutput;

//    @ApiModelProperty(value = "开始时间", required = true)
//    @FutureOrPresent(message = "开始时间不能是过去时间")
    private Date startTime;

//    @ApiModelProperty(value = "结束时间", required = true)
//    @FutureOrPresent(message = "结束时间不能是过去时间")
    private Date endTime;

//    @ApiModelProperty("备注")
    @Size(max = 255, message = "备注最长255字符")
    private String remark;

//    @ApiModelProperty("图片URL列表")
    private List<String> images;
}