package edu.travel.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@TableName("bt_baby_info")
@AllArgsConstructor
@NoArgsConstructor
public class BtBabyInfo extends BaseEntity{

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 姓名
     */
    @TableField(value = "name")
    private String name;
    /**
     * 昵称
     */
    @TableField(value = "nickname")
    private String nickname;
    /**
     * 新历生日
     */
    @TableField(value = "birthday_new")
    private Date birthdayNew;
    /**
     * 生日
     */
    @TableField(value = "birthday_old")
    private String birthdayOld;
    /**
     * 星座
     */
    @TableField(value = "constellation")
    private String constellation;
    /**
     * 性别 0男 1女
     */
    @TableField(value = "gender")
    private Integer gender;
    /**
     * 血型 1A 2B 3AB 4O 5未知
     */
    @TableField(value = "blood_type")
    private Integer bloodType;
    /**
     * 头像
     */
    @TableField(value = "avatar")
    private String avatar;
    /**
     * 二维码
     */
    @TableField(value = "qr_code")
    private String qrCode;


    private static final long serialVersionUID = 1L;


}