package edu.travel.enumm;

public enum BloodType {
    A(1, "A型"),
    B(2, "B型"),
    AB(3, "AB型"),
    O(4, "O型"),
    UNKNOWN(5, "未知");

    private final int code;
    private final String description;

    BloodType(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public static String getDescriptionByCode(Integer code) {
        if (code == null) return UNKNOWN.description;
        for (BloodType type : values()) {
            if (type.code == code) {
                return type.description;
            }
        }
        return UNKNOWN.description;
    }
}