package edu.travel.util;

import java.util.Calendar;
import java.util.Date;

public class ConstellationUtil {
    private static final String[] CONSTELLATIONS = {
        "摩羯座", "水瓶座", "双鱼座", "白羊座", 
        "金牛座", "双子座", "巨蟹座", "狮子座",
        "处女座", "天秤座", "天蝎座", "射手座"
    };

    private static final int[] DAYS = {20, 19, 21, 20, 21, 22, 23, 23, 23, 24, 23, 22};

    public static String getConstellation(Date date) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(date);
        int month = cal.get(Calendar.MONTH);
        int day = cal.get(Calendar.DAY_OF_MONTH);
        
        return day < DAYS[month] 
            ? CONSTELLATIONS[month] 
            : CONSTELLATIONS[(month + 1) % 12];
    }
}