package edu.travel.web;
import edu.travel.dto.UpdateAccountDto;
import edu.travel.entity.BtAccountInfo;
import edu.travel.resp.BaseResponse;
import edu.travel.service.BtAccountInfoService;
import edu.travel.vo.BtAccountInfoVo;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 用户相关接口
*
* @author huangwenwen
*/
@RestController
@RequestMapping("/baby/account")
public class BtAccountInfoController extends BaseController<BtAccountInfo>{

    @Autowired
    private BtAccountInfoService btAccountInfoService;


    /**
     * 获取用户信息
     * @return
     */
    @GetMapping("/getAccountInfo")
    public BaseResponse<BtAccountInfoVo> getAccountInfo(){
        BtAccountInfoVo vo = btAccountInfoService.getAccountInfo();
        return new BaseResponse<>(200, "sucess", vo);
    }

    /**
     * 修改用户信息
     * @param updateAccountDto
     * @return
     */
    @PostMapping("/updateAccountInfo")
    public BaseResponse<BtAccountInfoVo> updateAccountInfo(@RequestBody UpdateAccountDto updateAccountDto){
        BtAccountInfoVo vo = btAccountInfoService.updateAccountInfo(updateAccountDto);
        return new BaseResponse<>(200, "sucess", vo);
    }

}
